Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TypeCodeFactoryPOA

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.TypeCodeFactoryPOA

All Implemented Interfaces:
  InvokeHandler, TypeCodeFactoryOperations

Direct Known Subclasses:
  TypeCodeFactoryPOATie

public abstract class TypeCodeFactoryPOA
extends Servant
implements TypeCodeFactoryOperations, InvokeHandler

TypeCodeFactory, creates typecodes.

Since:
  CORBA 3.0

Constructor Summary
`TypeCodeFactoryPOA()`

Method Summary
`java.lang.String[]` | `_all_interfaces(POA poa, byte[] objectId)`
`OutputStream` | `_invoke(java.lang.String opName, InputStream _is, ResponseHandler handler)`
`TypeCodeFactory` | `_this()`
`TypeCodeFactory` | `_this(ORB orb)`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.TypeCodeFactoryOperations
`create_abstract_interface_tc, create_alias_tc, create_array_tc, create_component_tc, create_enum_tc, create_exception_tc, create_fixed_tc, create_home_tc, create_interface_tc, create_local_interface_tc, create_native_tc, create_recursive_sequence_tc, create_recursive_tc, create_sequence_tc, create_string_tc, create_struct_tc, create_union_tc, create_value_box_tc, create_value_tc, create_wstring_tc`

Constructor Detail

### TypeCodeFactoryPOA

    public TypeCodeFactoryPOA()

Method Detail

### _this

    public TypeCodeFactory _this()

### _this

    public TypeCodeFactory _this(ORB orb)

### _all_interfaces

    public java.lang.String[] _all_interfaces(POA poa,
                                              byte[] objectId)

  Overrides:
    `_all_interfaces` in class `Servant`

### _invoke

    public final OutputStream _invoke(java.lang.String opName,
                                      InputStream _is,
                                      ResponseHandler handler)

  Specified by:
    `_invoke` in interface `InvokeHandler`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD